/*
 * Copyright 2024 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */



// ----------------------------------------------------------------
// Sample captured at: 2015-12-08 13:39:00 local, 2015-12-08 21:39:00 GMT
AlgDlsMinuteData *activity_sample_2015_12_08_13_39_00(int *len) {
  // The unit tests parse the //> TEST_.* lines below for test values
  //> TEST_NAME pbl_31065
  //> TEST_VERSION 3
  //> TEST_TOTAL 0
  //> TEST_TOTAL_MIN 0
  //> TEST_TOTAL_MAX 0
  //> TEST_DEEP -1
  //> TEST_DEEP_MIN -1
  //> TEST_DEEP_MAX -1
  //> TEST_START_AT -1
  //> TEST_START_AT_MIN -1
  //> TEST_START_AT_MAX -1
  //> TEST_END_AT -1
  //> TEST_END_AT_MIN -1
  //> TEST_END_AT_MAX -1
  //> TEST_CUR_STATE_ELAPSED -1
  //> TEST_CUR_STATE_ELAPSED_MIN -1
  //> TEST_CUR_STATE_ELAPSED_MAX -1
  //> TEST_IN_SLEEP 0
  //> TEST_IN_SLEEP_MIN 0
  //> TEST_IN_SLEEP_MAX 0
  //> TEST_IN_DEEP_SLEEP 0
  //> TEST_IN_DEEP_SLEEP_MIN 0
  //> TEST_IN_DEEP_SLEEP_MAX 0
  //> TEST_WEIGHT 1.0

  // list of: {steps, orientation, vmc, light, plugged_in}
  static AlgDlsMinuteData samples[] = {
    // 0: Local time: 2015-12-08 09:41:01 PM
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 184, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 182, 0},
    { 0, 0x8b, 0, 184, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 184, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 182, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 182, 0},
    // 15: Local time: 2015-12-08 09:56:00 PM
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 184, 0},
    { 0, 0x8b, 0, 182, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 184, 0},
    { 0, 0x8b, 0, 184, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 184, 0},
    { 0, 0x8b, 0, 184, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 184, 0},
    { 0, 0x8b, 0, 181, 0},
    // 30: Local time: 2015-12-08 10:11:00 PM
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 184, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 184, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 182, 0},
    { 0, 0x8b, 0, 184, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 182, 0},
    // 45: Local time: 2015-12-08 10:26:00 PM
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 173, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 182, 0},
    { 0, 0x8b, 0, 184, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 182, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 182, 0},
    // 60: Local time: 2015-12-08 10:41:00 PM
    { 0, 0x8b, 0, 184, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 182, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 182, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 184, 0},
    { 0, 0x8b, 0, 182, 0},
    // 75: Local time: 2015-12-08 10:56:00 PM
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 182, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 182, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 182, 0},
    // 90: Local time: 2015-12-08 11:11:00 PM
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 182, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 182, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 182, 0},
    // 105: Local time: 2015-12-08 11:26:00 PM
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 182, 0},
    { 0, 0x8b, 0, 186, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 183, 0},
    { 0, 0x8b, 0, 186, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 183, 0},
    // 120: Local time: 2015-12-08 11:41:00 PM
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 183, 0},
    { 0, 0x8b, 0, 183, 0},
    { 0, 0x8b, 0, 170, 0},
    { 0, 0x8b, 0, 171, 0},
    { 0, 0x8b, 0, 170, 0},
    { 0, 0x8b, 0, 184, 0},
    { 0, 0x8b, 0, 147, 0},
    { 0, 0x8b, 0, 145, 0},
    { 0, 0x8b, 0, 145, 0},
    { 0, 0x8b, 0, 145, 0},
    { 0, 0x8b, 0, 143, 0},
    // 135: Local time: 2015-12-08 11:56:00 PM
    { 0, 0x8b, 0, 145, 0},
    { 0, 0x8b, 0, 169, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 145, 0},
    { 0, 0x8b, 0, 141, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 141, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 141, 0},
    // 150: Local time: 2015-12-09 12:11:00 AM
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 141, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 141, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 141, 0},
    // 165: Local time: 2015-12-09 12:26:00 AM
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 144, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 145, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 149, 0},
    { 0, 0x8b, 0, 149, 0},
    { 0, 0x8b, 0, 140, 0},
    // 180: Local time: 2015-12-09 12:41:00 AM
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 150, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 140, 0},
    // 195: Local time: 2015-12-09 12:56:00 AM
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    // 210: Local time: 2015-12-09 01:11:00 AM
    { 0, 0x8b, 0, 141, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 139, 0},
    { 0, 0x8b, 0, 141, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    // 225: Local time: 2015-12-09 01:26:00 AM
    { 0, 0x8b, 0, 149, 0},
    { 0, 0x8b, 0, 149, 0},
    { 0, 0x8b, 0, 149, 0},
    { 0, 0x8b, 0, 149, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    // 240: Local time: 2015-12-09 01:41:00 AM
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 149, 0},
    { 0, 0x8b, 0, 149, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    // 255: Local time: 2015-12-09 01:56:00 AM
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    // 270: Local time: 2015-12-09 02:11:00 AM
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 139, 0},
    // 285: Local time: 2015-12-09 02:26:00 AM
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 139, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    // 300: Local time: 2015-12-09 02:41:00 AM
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 139, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    // 315: Local time: 2015-12-09 02:56:00 AM
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    // 330: Local time: 2015-12-09 03:11:00 AM
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    // 345: Local time: 2015-12-09 03:26:00 AM
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 140, 0},
    // 360: Local time: 2015-12-09 03:41:00 AM
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 141, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 140, 0},
    // 375: Local time: 2015-12-09 03:56:00 AM
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 144, 0},
    { 0, 0x8b, 0, 141, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 141, 0},
    // 390: Local time: 2015-12-09 04:11:00 AM
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 140, 0},
    // 405: Local time: 2015-12-09 04:26:00 AM
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 141, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 141, 0},
    // 420: Local time: 2015-12-09 04:42:00 AM
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 141, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 141, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 141, 0},
    // 435: Local time: 2015-12-09 04:57:00 AM
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 144, 0},
    { 0, 0x8b, 0, 140, 0},
    // 450: Local time: 2015-12-09 05:12:00 AM
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    // 465: Local time: 2015-12-09 05:27:00 AM
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    // 480: Local time: 2015-12-09 05:42:00 AM
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    // 495: Local time: 2015-12-09 05:57:00 AM
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    // 510: Local time: 2015-12-09 06:12:00 AM
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 140, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 140, 0},
    // 525: Local time: 2015-12-09 06:27:00 AM
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 143, 0},
    { 0, 0x8b, 0, 150, 0},
    { 0, 0x8b, 0, 147, 0},
    { 0, 0x8b, 0, 144, 0},
    { 0, 0x8b, 0, 144, 0},
    { 0, 0x8b, 0, 144, 0},
    { 0, 0x8b, 0, 145, 0},
    { 0, 0x8b, 0, 142, 0},
    { 0, 0x8b, 0, 145, 0},
    { 0, 0x8b, 0, 145, 0},
    { 0, 0x8b, 0, 145, 0},
    { 0, 0x8b, 0, 146, 0},
    { 0, 0x8b, 0, 144, 0},
    // 540: Local time: 2015-12-09 06:42:00 AM
    { 0, 0x8b, 0, 146, 0},
    { 0, 0x8b, 0, 146, 0},
    { 0, 0x8b, 0, 147, 0},
    { 0, 0x8b, 0, 148, 0},
    { 0, 0x8b, 0, 147, 0},
    { 0, 0x8b, 0, 150, 0},
    { 0, 0x8b, 0, 151, 0},
    { 0, 0x8b, 0, 152, 0},
    { 0, 0x8b, 0, 153, 0},
    { 0, 0x8b, 0, 152, 0},
    { 0, 0x8b, 0, 156, 0},
    { 0, 0x8b, 0, 156, 0},
    { 0, 0x8b, 0, 158, 0},
    { 0, 0x8b, 0, 159, 0},
    { 0, 0x8b, 0, 158, 0},
    // 555: Local time: 2015-12-09 06:58:00 AM
    { 0, 0x8b, 0, 162, 0},
    { 0, 0x8b, 0, 163, 0},
    { 0, 0x8b, 0, 164, 0},
    { 0, 0x8b, 0, 165, 0},
    { 0, 0x8b, 0, 164, 0},
    { 0, 0x8b, 0, 167, 0},
    { 0, 0x8b, 0, 168, 0},
    { 0, 0x8b, 0, 169, 0},
    { 0, 0x8b, 0, 170, 0},
    { 0, 0x8b, 0, 168, 0},
    { 0, 0x8b, 0, 171, 0},
    { 0, 0x8b, 0, 172, 0},
    { 0, 0x8b, 0, 172, 0},
    { 0, 0x8b, 0, 173, 0},
    { 0, 0x8b, 0, 171, 0},
    // 570: Local time: 2015-12-09 07:13:00 AM
    { 0, 0x8b, 0, 174, 0},
    { 0, 0x8b, 0, 174, 0},
    { 0, 0x8b, 0, 175, 0},
    { 0, 0x8b, 0, 176, 0},
    { 0, 0x8b, 0, 175, 0},
    { 0, 0x8b, 0, 178, 0},
    { 0, 0x8b, 0, 179, 0},
    { 0, 0x8b, 0, 180, 0},
    { 0, 0x8b, 0, 181, 0},
    { 0, 0x8b, 0, 179, 0},
    { 0, 0x8b, 0, 182, 0},
    { 0, 0x8b, 0, 182, 0},
    { 0, 0x8b, 0, 183, 0},
    { 0, 0x8b, 0, 183, 0},
    { 0, 0x8b, 0, 181, 0},
    // 585: Local time: 2015-12-09 07:28:00 AM
    { 0, 0x8b, 0, 184, 0},
    { 0, 0x8b, 0, 184, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 182, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 186, 0},
    { 0, 0x8b, 0, 186, 0},
    { 0, 0x8b, 0, 186, 0},
    { 0, 0x8b, 0, 185, 0},
    { 0, 0x8b, 0, 187, 0},
    { 0, 0x8b, 0, 188, 0},
    { 0, 0x8b, 0, 188, 0},
    { 0, 0x8b, 0, 191, 0},
    { 0, 0x8b, 0, 190, 0},
    // 600: Local time: 2015-12-09 07:43:00 AM
    { 0, 0x8b, 0, 194, 0},
    { 0, 0x8b, 0, 194, 0},
    { 0, 0x8b, 0, 194, 0},
    { 0, 0x8b, 0, 194, 0},
    { 0, 0x8b, 0, 192, 0},
    { 0, 0x8b, 0, 195, 0},
    { 0, 0x8b, 0, 195, 0},
    { 0, 0x8b, 0, 196, 0},
    { 0, 0x8b, 0, 196, 0},
    { 0, 0x8b, 0, 194, 0},
    { 0, 0x8b, 0, 196, 0},
    { 0, 0x8b, 0, 196, 0},
    { 0, 0x8b, 0, 195, 0},
    { 0, 0x8b, 0, 196, 0},
    { 0, 0x8b, 0, 193, 0},
    // 615: Local time: 2015-12-09 07:58:00 AM
    { 0, 0x8b, 0, 196, 0},
    { 0, 0x8b, 0, 197, 0},
    { 0, 0x8b, 0, 198, 0},
    { 0, 0x8b, 0, 198, 0},
    { 0, 0x8b, 0, 195, 0},
    { 0, 0x0, 0, 198, 0},
    { 0, 0x8b, 0, 198, 0},
    { 0, 0x8b, 0, 198, 0},
    { 0, 0x8b, 0, 199, 0},
    { 0, 0x8b, 0, 196, 0},
    { 0, 0x8b, 0, 199, 0},
    { 0, 0x8b, 0, 198, 0},
    { 0, 0x8b, 0, 198, 0},
    { 0, 0x8b, 0, 199, 0},
    { 0, 0x8b, 0, 196, 0},
    // 630: Local time: 2015-12-09 08:12:00 AM
    { 0, 0x8b, 0, 199, 0},
    { 0, 0x64, 9106, 173, 0},
    { 0, 0x55, 6272, 169, 0},
    { 0, 0x33, 3257, 176, 0},
    { 0, 0x54, 3157, 173, 0},
    { 13, 0x45, 5116, 174, 0},
    { 88, 0x35, 6027, 193, 0},
    { 113, 0x35, 6736, 187, 0},
    { 87, 0x35, 6488, 171, 0},
    { 12, 0x35, 899, 170, 0},
    { 0, 0x34, 2093, 158, 0},
    { 0, 0x35, 926, 158, 0},
    { 0, 0x45, 1988, 179, 0},
    { 0, 0x55, 223, 182, 0},
    { 0, 0x45, 1593, 180, 0},
    // 645: Local time: 2015-12-09 08:27:00 AM
    { 0, 0x55, 487, 170, 0},
    { 10, 0x35, 768, 168, 0},
    { 0, 0x35, 194, 168, 0},
    { 0, 0x35, 0, 166, 0},
    { 0, 0x35, 599, 163, 0},
    { 0, 0x46, 938, 171, 0},
    { 0, 0x58, 96, 169, 0},
    { 0, 0x46, 984, 157, 0},
    { 0, 0x46, 712, 160, 0},
    { 0, 0x35, 1745, 154, 0},
    { 0, 0x35, 100, 154, 0},
    { 0, 0x45, 920, 157, 0},
    { 0, 0x45, 36, 157, 0},
    { 0, 0x34, 308, 151, 0},
    { 16, 0x35, 2810, 151, 0},
    // 660: Local time: 2015-12-09 08:42:00 AM
    { 0, 0x45, 0, 153, 0},
    { 0, 0x45, 25, 155, 0},
    { 0, 0x45, 633, 155, 0},
    { 0, 0x35, 5, 174, 0},
    { 0, 0x35, 38, 176, 0},
    { 0, 0x45, 219, 171, 0},
    { 0, 0x45, 11, 176, 0},
    { 0, 0x45, 17, 173, 0},
    { 0, 0x35, 635, 168, 0},
    { 0, 0x35, 183, 166, 0},
    { 45, 0x33, 12812, 189, 0},
    { 127, 0x40, 30541, 196, 0},
    { 91, 0x41, 19895, 185, 0},
    { 161, 0x41, 37208, 188, 0},
    { 108, 0x42, 19628, 177, 0},
    // 675: Local time: 2015-12-09 08:57:00 AM
    { 95, 0x32, 10337, 182, 0},
    { 0, 0x45, 647, 182, 0},
    { 0, 0x45, 23, 182, 0},
    { 0, 0x45, 78, 172, 0},
    { 0, 0x45, 73, 184, 0},
    { 65, 0x33, 5715, 182, 0},
    { 91, 0x41, 6553, 175, 0},
    { 15, 0x63, 11856, 190, 0},
    { 0, 0x55, 2818, 196, 0},
    { 0, 0x74, 252, 194, 0},
    { 0, 0x75, 1252, 197, 0},
    { 0, 0x74, 136, 194, 0},
    { 0, 0x74, 75, 194, 0},
    { 0, 0x56, 2419, 180, 0},
    { 17, 0x64, 7913, 178, 0},
    // 690: Local time: 2015-12-09 09:12:00 AM
    { 15, 0x65, 928, 189, 0},
    { 0, 0x75, 785, 185, 0},
    { 0, 0x74, 86, 194, 0},
    { 0, 0x74, 165, 186, 0},
    { 0, 0x75, 1937, 193, 0},
    { 0, 0x75, 2084, 190, 0},
    { 0, 0x75, 1762, 193, 0},
    { 0, 0x66, 2286, 193, 0},
    { 0, 0x75, 167, 191, 0},
    { 0, 0x64, 1311, 186, 0},
    { 0, 0x65, 2716, 188, 0},
    { 0, 0x55, 3644, 185, 0},
    { 0, 0x45, 3238, 181, 0},
    { 0, 0x35, 2629, 191, 0},
    { 0, 0x44, 5054, 178, 0},
    // 705: Local time: 2015-12-09 09:27:00 AM
    { 0, 0x35, 3621, 192, 0},
    { 0, 0x54, 1828, 192, 0},
    { 0, 0x35, 4540, 188, 0},
    { 0, 0x24, 1885, 187, 0},
    { 0, 0x45, 3627, 128, 0},
    { 0, 0x35, 2167, 186, 0},
    { 0, 0x35, 2070, 192, 0},
    { 0, 0x54, 2169, 185, 0},
    { 0, 0x65, 1616, 189, 0},
    { 0, 0x65, 2679, 190, 0},
    { 0, 0x65, 1394, 195, 0},
    { 0, 0x35, 3030, 192, 0},
    { 0, 0x65, 2544, 187, 0},
    { 0, 0x35, 1909, 191, 0},
    { 0, 0x55, 2577, 186, 0},
    // 720: Local time: 2015-12-09 09:42:00 AM
    { 0, 0x45, 1650, 193, 0},
    { 0, 0x44, 1768, 192, 0},
    { 0, 0x65, 3440, 193, 0},
    { 0, 0x55, 2793, 195, 0},
    { 0, 0x65, 1672, 182, 0},
    { 0, 0x65, 994, 194, 0},
    { 0, 0x55, 864, 193, 0},
    { 0, 0x55, 3012, 190, 0},
    { 0, 0x54, 2359, 183, 0},
    { 8, 0x65, 1887, 181, 0},
    { 4, 0x55, 1510, 182, 0},
    { 0, 0x55, 5297, 194, 0},
    { 15, 0x56, 2192, 198, 0},
    { 15, 0x65, 5673, 191, 0},
    { 26, 0x54, 8196, 199, 0},
    // 735: Local time: 2015-12-09 09:57:00 AM
    { 0, 0x24, 6308, 186, 0},
    { 44, 0x43, 6896, 237, 0},
    { 52, 0x31, 4301, 234, 0},
    { 125, 0x41, 21452, 188, 0},
    { 20, 0x32, 8992, 174, 0},
    { 48, 0x31, 6915, 192, 0},
    { 44, 0x52, 5507, 179, 0},
    { 0, 0x75, 0, 176, 0},
    { 0, 0x53, 5784, 181, 0},
    { 0, 0x75, 4515, 179, 0},
    { 0, 0x64, 2849, 179, 0},
    { 0, 0x35, 6651, 177, 0},
    { 0, 0x45, 1504, 180, 0},
    { 0, 0x45, 2284, 180, 0},
    { 0, 0x57, 5627, 178, 0},
    // 750: Local time: 2015-12-09 10:12:00 AM
    { 13, 0x66, 4584, 181, 0},
    { 16, 0x45, 2779, 173, 0},
    { 0, 0x35, 976, 176, 0},
    { 0, 0x45, 2392, 176, 0},
    { 16, 0x45, 5754, 177, 0},
    { 16, 0x55, 807, 182, 0},
    { 0, 0x55, 1412, 177, 0},
    { 0, 0x45, 7, 179, 0},
    { 0, 0x45, 0, 180, 0},
    { 0, 0x44, 1650, 172, 0},
    { 0, 0x33, 616, 173, 0},
    { 0, 0x33, 604, 183, 0},
    { 0, 0x74, 1833, 183, 0},
    { 0, 0x44, 1641, 182, 0},
    { 0, 0x54, 1369, 172, 0},
    // 765: Local time: 2015-12-09 10:27:00 AM
    { 0, 0x44, 240, 181, 0},
    { 32, 0x52, 4580, 193, 0},
    { 16, 0x33, 9056, 183, 0},
    { 12, 0x41, 1207, 192, 0},
    { 0, 0x10, 4033, 185, 0},
    { 0, 0x54, 7302, 191, 0},
    { 0, 0x62, 2051, 191, 0},
    { 42, 0x52, 5659, 184, 0},
    { 50, 0x44, 3966, 195, 0},
    { 7, 0x65, 441, 190, 0},
    { 0, 0x55, 1473, 189, 0},
    { 0, 0x66, 1766, 192, 0},
    { 0, 0x65, 3232, 193, 0},
    { 13, 0x66, 3103, 190, 0},
    { 0, 0x64, 1242, 192, 0},
    // 780: Local time: 2015-12-09 10:42:00 AM
    { 0, 0x75, 531, 192, 0},
    { 0, 0x66, 589, 193, 0},
    { 0, 0x64, 6466, 195, 0},
    { 0, 0x75, 17, 188, 0},
    { 0, 0x65, 3752, 185, 0},
    { 12, 0x66, 2851, 192, 0},
    { 0, 0x76, 940, 194, 0},
    { 0, 0x75, 789, 193, 0},
    { 0, 0x75, 32, 196, 0},
    { 0, 0x73, 701, 177, 0},
    { 0, 0x73, 443, 193, 0},
    { 0, 0x75, 28, 195, 0},
    { 0, 0x75, 15, 190, 0},
    { 0, 0x66, 1618, 192, 0},
    { 0, 0x75, 695, 191, 0},
    // 795: Local time: 2015-12-09 10:57:00 AM
    { 0, 0x66, 206, 192, 0},
    { 0, 0x68, 425, 190, 0},
    { 0, 0x77, 373, 192, 0},
    { 23, 0x53, 4613, 178, 0},
    { 96, 0x25, 3848, 192, 0},
    { 97, 0x25, 4692, 194, 0},
    { 13, 0x52, 986, 194, 0},
    { 31, 0x53, 1910, 182, 0},
    { 4, 0x35, 970, 177, 0},
    { 82, 0x35, 4313, 187, 0},
    { 4, 0x55, 2059, 191, 0},
    { 12, 0x64, 799, 192, 0},
    { 0, 0x34, 1922, 188, 0},
    { 0, 0x56, 2086, 185, 0},
    { 0, 0x46, 3103, 188, 0},
    // 810: Local time: 2015-12-09 11:12:00 AM
    { 0, 0x65, 1219, 185, 0},
    { 0, 0x66, 1899, 192, 0},
    { 0, 0x65, 502, 188, 0},
    { 0, 0x57, 242, 191, 0},
    { 0, 0x58, 132, 188, 0},
    { 0, 0x33, 651, 179, 0},
    { 0, 0x52, 209, 188, 0},
    { 0, 0x62, 52, 190, 0},
    { 0, 0x62, 7, 191, 0},
    { 0, 0x62, 19, 190, 0},
    { 0, 0x53, 997, 177, 0},
    { 0, 0x34, 1313, 180, 0},
    { 0, 0x34, 2246, 168, 0},
    { 0, 0x44, 968, 186, 0},
    { 0, 0x64, 1679, 190, 0},
    // 825: Local time: 2015-12-09 11:27:00 AM
    { 0, 0x64, 732, 191, 0},
    { 0, 0x64, 3, 190, 0},
    { 0, 0x64, 456, 192, 0},
    { 0, 0x64, 123, 190, 0},
    { 0, 0x64, 244, 190, 0},
    { 0, 0x64, 720, 193, 0},
    { 0, 0x64, 3321, 178, 0},
    { 0, 0x45, 3669, 175, 0},
    { 0, 0x34, 3502, 171, 0},
    { 16, 0x34, 1363, 179, 0},
    { 0, 0x34, 1381, 172, 0},
    { 0, 0x24, 2109, 180, 0},
    { 0, 0x45, 2357, 182, 0},
    { 0, 0x55, 3159, 181, 0},
    { 0, 0x45, 3319, 178, 0},
    // 840: Local time: 2015-12-09 11:42:00 AM
    { 0, 0x54, 755, 173, 0},
    { 0, 0x44, 955, 180, 0},
    { 0, 0x65, 19, 179, 0},
    { 0, 0x65, 0, 179, 0},
    { 0, 0x65, 0, 180, 0},
    { 0, 0x65, 7, 180, 0},
    { 0, 0x65, 7, 182, 0},
    { 0, 0x64, 19, 180, 0},
    { 0, 0x74, 429, 220, 0},
    { 0, 0x74, 1309, 182, 0},
    { 0, 0x74, 102, 182, 0},
    { 0, 0x54, 2438, 182, 0},
    { 70, 0x34, 6836, 193, 0},
    { 7, 0x35, 1024, 194, 0},
    { 0, 0x41, 46, 194, 0},
    // 855: Local time: 2015-12-09 11:57:00 AM
    { 22, 0x40, 1695, 190, 0},
    { 49, 0x41, 4515, 166, 0},
    { 28, 0x32, 7590, 176, 0},
    { 77, 0x23, 7965, 172, 0},
    { 25, 0x43, 4382, 164, 0},
    { 30, 0x34, 4120, 166, 0},
    { 0, 0x44, 2666, 163, 0},
    { 0, 0x54, 874, 167, 0},
    { 0, 0x54, 1306, 165, 0},
    { 0, 0x54, 69, 163, 0},
    { 0, 0x34, 2009, 160, 0},
    { 0, 0x41, 1352, 156, 0},
    { 0, 0x50, 1342, 156, 0},
    { 0, 0x51, 1026, 159, 0},
    { 0, 0x51, 629, 161, 0},
    // 870: Local time: 2015-12-09 12:12:00 PM
    { 12, 0x34, 1350, 157, 0},
    { 0, 0x34, 161, 158, 0},
    { 0, 0x50, 809, 160, 0},
    { 0, 0x50, 0, 160, 0},
    { 0, 0x50, 0, 160, 0},
    { 0, 0x51, 464, 161, 0},
    { 0, 0x55, 223, 159, 0},
    { 0, 0x45, 227, 160, 0},
    { 0, 0x45, 90, 161, 0},
    { 0, 0x51, 1017, 162, 0},
    { 0, 0x65, 606, 162, 0},
    { 0, 0x74, 589, 160, 0},
    { 0, 0x61, 1144, 160, 0},
    { 0, 0x64, 2284, 163, 0},
    { 0, 0x54, 437, 163, 0},
    // 885: Local time: 2015-12-09 12:27:00 PM
    { 0, 0x54, 325, 164, 0},
    { 0, 0x53, 348, 162, 0},
    { 0, 0x63, 215, 164, 0},
    { 0, 0x63, 1423, 175, 0},
    { 0, 0x54, 314, 165, 0},
    { 0, 0x34, 1202, 156, 0},
    { 0, 0x34, 826, 162, 0},
    { 0, 0x63, 1701, 156, 0},
    { 0, 0x50, 0, 156, 0},
    { 0, 0x51, 315, 162, 0},
    { 0, 0x51, 527, 159, 0},
    { 0, 0x41, 298, 155, 0},
    { 0, 0x42, 310, 158, 0},
    { 0, 0x50, 3, 157, 0},
    { 0, 0x50, 190, 156, 0},
    // 900: Local time: 2015-12-09 12:42:00 PM
    { 0, 0x50, 171, 156, 0},
    { 0, 0x50, 7, 157, 0},
    { 0, 0x50, 0, 157, 0},
    { 0, 0x50, 132, 157, 0},
    { 0, 0x51, 799, 161, 0},
    { 0, 0x54, 1051, 161, 0},
    { 0, 0x64, 0, 161, 0},
    { 0, 0x55, 680, 165, 0},
    { 0, 0x55, 0, 164, 0},
    { 0, 0x55, 523, 166, 0},
    { 0, 0x54, 0, 165, 0},
    { 0, 0x53, 2550, 160, 0},
    { 0, 0x50, 0, 160, 0},
    { 0, 0x50, 340, 162, 0},
    { 0, 0x63, 1776, 161, 0},
    // 915: Local time: 2015-12-09 12:57:00 PM
    { 0, 0x53, 495, 165, 0},
    { 0, 0x62, 647, 163, 0},
    { 0, 0x53, 1360, 163, 0},
    { 8, 0x63, 1146, 162, 0},
    { 0, 0x58, 572, 162, 0},
    { 0, 0x65, 901, 162, 0},
    { 0, 0x35, 1471, 161, 0},
    { 0, 0x45, 816, 165, 0},
    { 0, 0x75, 1437, 162, 0},
    { 0, 0x56, 913, 163, 0},
    { 0, 0x61, 674, 157, 0},
    { 0, 0x53, 2845, 168, 0},
    { 30, 0x25, 2300, 158, 0},
    { 22, 0x34, 2616, 165, 0},
    { 0, 0x43, 2344, 168, 0},
  };
  *len = ARRAY_LENGTH(samples);
  return samples;
}

