/*
 * Copyright 2024 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#pragma once

//
// AUTOGENERATED
// DO NOT MODIFY
//

typedef enum {
  TIMELINE_RESOURCE_INVALID = 0,
  TIMELINE_RESOURCE_NOTIFICATION_GENERIC = 0x80000001,
  TIMELINE_RESOURCE_TIMELINE_MISSED_CALL = 0x80000002,
  TIMELINE_RESOURCE_NOTIFICATION_REMINDER = 0x80000003,
  TIMELINE_RESOURCE_NOTIFICATION_FLAG = 0x80000004,
  TIMELINE_RESOURCE_NOTIFICATION_WHATSAPP = 0x80000005,
  TIMELINE_RESOURCE_NOTIFICATION_TWITTER = 0x80000006,
  TIMELINE_RESOURCE_NOTIFICATION_TELEGRAM = 0x80000007,
  TIMELINE_RESOURCE_NOTIFICATION_GOOGLE_HANGOUTS = 0x80000008,
  TIMELINE_RESOURCE_NOTIFICATION_GMAIL = 0x80000009,
  TIMELINE_RESOURCE_NOTIFICATION_FACEBOOK_MESSENGER = 0x8000000a,
  TIMELINE_RESOURCE_NOTIFICATION_FACEBOOK = 0x8000000b,
  TIMELINE_RESOURCE_AUDIO_CASSETTE = 0x8000000c,
  TIMELINE_RESOURCE_ALARM_CLOCK = 0x8000000d,
  TIMELINE_RESOURCE_TIMELINE_WEATHER = 0x8000000e,
  TIMELINE_RESOURCE_TIMELINE_SUN = 0x80000010,
  TIMELINE_RESOURCE_TIMELINE_SPORTS = 0x80000011,
  TIMELINE_RESOURCE_GENERIC_EMAIL = 0x80000013,
  TIMELINE_RESOURCE_AMERICAN_FOOTBALL = 0x80000014,
  TIMELINE_RESOURCE_TIMELINE_CALENDAR = 0x80000015,
  TIMELINE_RESOURCE_TIMELINE_BASEBALL = 0x80000016,
  TIMELINE_RESOURCE_BIRTHDAY_EVENT = 0x80000017,
  TIMELINE_RESOURCE_CAR_RENTAL = 0x80000018,
  TIMELINE_RESOURCE_CLOUDY_DAY = 0x80000019,
  TIMELINE_RESOURCE_CRICKET_GAME = 0x8000001a,
  TIMELINE_RESOURCE_DINNER_RESERVATION = 0x8000001b,
  TIMELINE_RESOURCE_GENERIC_WARNING = 0x8000001c,
  TIMELINE_RESOURCE_GLUCOSE_MONITOR = 0x8000001d,
  TIMELINE_RESOURCE_HOCKEY_GAME = 0x8000001e,
  TIMELINE_RESOURCE_HOTEL_RESERVATION = 0x8000001f,
  TIMELINE_RESOURCE_LIGHT_RAIN = 0x80000020,
  TIMELINE_RESOURCE_LIGHT_SNOW = 0x80000021,
  TIMELINE_RESOURCE_MOVIE_EVENT = 0x80000022,
  TIMELINE_RESOURCE_MUSIC_EVENT = 0x80000023,
  TIMELINE_RESOURCE_NEWS_EVENT = 0x80000024,
  TIMELINE_RESOURCE_PARTLY_CLOUDY = 0x80000025,
  TIMELINE_RESOURCE_PAY_BILL = 0x80000026,
  TIMELINE_RESOURCE_RADIO_SHOW = 0x80000027,
  TIMELINE_RESOURCE_SCHEDULED_EVENT = 0x80000028,
  TIMELINE_RESOURCE_SOCCER_GAME = 0x80000029,
  TIMELINE_RESOURCE_STOCKS_EVENT = 0x8000002a,
  TIMELINE_RESOURCE_RESULT_DELETED = 0x8000002b,
  TIMELINE_RESOURCE_CHECK_INTERNET_CONNECTION = 0x8000002c,
  TIMELINE_RESOURCE_GENERIC_SMS = 0x8000002d,
  TIMELINE_RESOURCE_RESULT_MUTE = 0x8000002e,
  TIMELINE_RESOURCE_RESULT_SENT = 0x8000002f,
  TIMELINE_RESOURCE_WATCH_DISCONNECTED = 0x80000030,
  TIMELINE_RESOURCE_DURING_PHONE_CALL = 0x80000031,
  TIMELINE_RESOURCE_TIDE_IS_HIGH = 0x80000032,
  TIMELINE_RESOURCE_RESULT_DISMISSED = 0x80000033,
  TIMELINE_RESOURCE_HEAVY_RAIN = 0x80000034,
  TIMELINE_RESOURCE_HEAVY_SNOW = 0x80000035,
  TIMELINE_RESOURCE_SCHEDULED_FLIGHT = 0x80000036,
  TIMELINE_RESOURCE_GENERIC_CONFIRMATION = 0x80000037,
  TIMELINE_RESOURCE_DAY_SEPARATOR = 0x80000038,
  TIMELINE_RESOURCE_NO_EVENTS = 0x80000039,
  TIMELINE_RESOURCE_NOTIFICATION_BLACKBERRY_MESSENGER = 0x8000003a,
  TIMELINE_RESOURCE_NOTIFICATION_INSTAGRAM = 0x8000003b,
  TIMELINE_RESOURCE_NOTIFICATION_MAILBOX = 0x8000003c,
  TIMELINE_RESOURCE_NOTIFICATION_GOOGLE_INBOX = 0x8000003d,
  TIMELINE_RESOURCE_RESULT_FAILED = 0x8000003e,
  TIMELINE_RESOURCE_GENERIC_QUESTION = 0x8000003f,
  TIMELINE_RESOURCE_NOTIFICATION_OUTLOOK = 0x80000040,
  TIMELINE_RESOURCE_RAINING_AND_SNOWING = 0x80000041,
  TIMELINE_RESOURCE_REACHED_FITNESS_GOAL = 0x80000042,
  TIMELINE_RESOURCE_NOTIFICATION_LINE = 0x80000043,
  TIMELINE_RESOURCE_NOTIFICATION_SKYPE = 0x80000044,
  TIMELINE_RESOURCE_NOTIFICATION_SNAPCHAT = 0x80000045,
  TIMELINE_RESOURCE_NOTIFICATION_VIBER = 0x80000046,
  TIMELINE_RESOURCE_NOTIFICATION_WECHAT = 0x80000047,
  TIMELINE_RESOURCE_NOTIFICATION_YAHOO_MAIL = 0x80000048,
  TIMELINE_RESOURCE_TV_SHOW = 0x80000049,
  TIMELINE_RESOURCE_BASKETBALL = 0x8000004a,
  TIMELINE_RESOURCE_DISMISSED_PHONE_CALL = 0x8000004b,
  TIMELINE_RESOURCE_NOTIFICATION_GOOGLE_MESSENGER = 0x8000004c,
  TIMELINE_RESOURCE_NOTIFICATION_HIPCHAT = 0x8000004d,
  TIMELINE_RESOURCE_INCOMING_PHONE_CALL = 0x8000004e,
  TIMELINE_RESOURCE_NOTIFICATION_KAKAOTALK = 0x8000004f,
  TIMELINE_RESOURCE_NOTIFICATION_KIK = 0x80000050,
  TIMELINE_RESOURCE_NOTIFICATION_LIGHTHOUSE = 0x80000051,
  TIMELINE_RESOURCE_LOCATION = 0x80000052,
  TIMELINE_RESOURCE_SETTINGS = 0x80000053,
  TIMELINE_RESOURCE_SUNRISE = 0x80000054,
  TIMELINE_RESOURCE_SUNSET = 0x80000055,
  TIMELINE_RESOURCE_RESULT_UNMUTE = 0x80000056,
  TIMELINE_RESOURCE_RESULT_UNMUTE_ALT = 0x8000005e,
  TIMELINE_RESOURCE_DURING_PHONE_CALL_CENTERED = 0x8000005f,
  TIMELINE_RESOURCE_TIMELINE_EMPTY_CALENDAR = 0x80000060,
  TIMELINE_RESOURCE_THUMBS_UP = 0x80000061,
  TIMELINE_RESOURCE_ARROW_UP = 0x80000062,
  TIMELINE_RESOURCE_ARROW_DOWN = 0x80000063,
  TIMELINE_RESOURCE_ACTIVITY = 0x80000064,
  TIMELINE_RESOURCE_SLEEP = 0x80000065,
  TIMELINE_RESOURCE_REWARD_BAD = 0x80000066,
  TIMELINE_RESOURCE_REWARD_GOOD = 0x80000067,
  TIMELINE_RESOURCE_REWARD_AVERAGE = 0x80000068,
  TIMELINE_RESOURCE_CALORIES = 0x80000069,
  TIMELINE_RESOURCE_DISTANCE = 0x8000006a,
  TIMELINE_RESOURCE_DURATION = 0x8000006b,
  TIMELINE_RESOURCE_PACE = 0x8000006c,
  TIMELINE_RESOURCE_RUN = 0x8000006d,
  TIMELINE_RESOURCE_NOTIFICATION_FACETIME = 0x8000006e,
  TIMELINE_RESOURCE_NOTIFICATION_AMAZON = 0x8000006f,
  TIMELINE_RESOURCE_NOTIFICATION_GOOGLE_MAPS = 0x80000070,
  TIMELINE_RESOURCE_NOTIFICATION_GOOGLE_PHOTOS = 0x80000071,
  TIMELINE_RESOURCE_NOTIFICATION_IOS_PHOTOS = 0x80000072,
  TIMELINE_RESOURCE_NOTIFICATION_LINKEDIN = 0x80000073,
  TIMELINE_RESOURCE_NOTIFICATION_SLACK = 0x80000074,
  TIMELINE_RESOURCE_SMART_ALARM = 0x80000075,
  TIMELINE_RESOURCE_HEART = 0x80000076,
  TIMELINE_RESOURCE_BLE_HRM_SHARING = 0x80000077,
} TimelineResourceId;

#define NUM_TIMELINE_RESOURCES 120
